///////////////////////////////////////////////////////////////////////////////
//                            X3DComponentVisitor.inl                        //
///////////////////////////////////////////////////////////////////////////////

namespace X3DTK {

#ifdef TEMPLATE_SPECIALIZATION_SUPPORTED
template<class T> 
void X3DComponentVisitor::defineEnterFunction(void (*ptrF)(T *))
{
  define(Recorder<T>::getEnterFunction(ptrF));
}
  
template<class T> 
void X3DComponentVisitor::defineWalkOnFunction(bool (*ptrF)(T *, SFNode))
{
  define(Recorder<T>::getWalkOnFunction(ptrF));
}

template<class T> 
void X3DComponentVisitor::defineLeaveFunction(void (*ptrF)(T *))
{
  define(Recorder<T>::getLeaveFunction(ptrF));
}
#endif

}  
